When /^I use the HTTP API with user "([^\"]+)" and password "([^\"]+)"$/ do |user, pass|
	@api.set_user(user, pass)
end

Given /^I have the management pack "([^\"]+)" with description "([^\"]+)"$/ do |name, description|
	data = {
		"management_pack_name" => name,
		"description" => description,
		"hostgroup" => name,
		"icon" => name
	}

	@api.create('hostgroup', name, {"hostgroup_name" => name})
	@api.create('management_pack', name, data)
end

Given /^the management pack "([^\"]+)" contains the service "([^\"]+)"$/ do |pack, name|
	data = {
		"service_description" => name,
		"hostgroup_name" => pack,
		"check_command" => "check_dummy",
		"notification_interval" => 10
	}

	@api.create('service', name, data)
end

Given /^I activate the HTTP API configuration$/ do
	@api.save()
end

Before do |scenario|
	@api = API::API.new
end

After do |scenario|
	if @api.active?
		@api.deinitialize
		@api.save
	end
end

When /^I delete a host called (.+)$/ do |hostname|
	@api.delete("host", hostname)
end
